Index · Directives · Python · libudev · gudev systemd 209

## Name

systemd-rfkill@.service, systemd-rfkill — Load and save the RF kill switch state at boot and shutdown

## Synopsis

`systemd-rfkill@.service`

`/usr/lib/systemd/systemd-rfkill`

## Description

`systemd-rfkill@.service` is a service that restores the RF kill switch state at early boot and saves it at shutdown. On disk, the RF kill switch state is stored in `/var/lib/systemd/rfkill/`.

## Kernel Command Line

`systemd-rfkill` understands the following kernel command line parameter:

`systemd.restore_state=`

  Takes a boolean argument. Defaults to "`1`". If "`0`", does not restore the rfkill settings on boot. However, settings will still be stored on shutdown.

## See Also

systemd(1)